package ar.edu.unju.fi.controller;

import java.util.List;

import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import ar.edu.unju.fi.entity.Rol;
import ar.edu.unju.fi.service.IRolService;


@Controller
public class RolController {
	@Autowired
	private IRolService rolService;
	@Autowired
	private Rol rol; 
	
	@RequestMapping("/roles")
	public String getRolesPage(Model model) {
		List<Rol> roles = rolService.obtenerRoles();
		model.addAttribute("roles", roles);
		model.addAttribute("rol", rol);
		return "roles";
	}
	
	@PostMapping("/saveRol")
	public String saveRol(@Valid @ModelAttribute("rol") Rol r, Model model) {
		this.rol.setDescripcion(r.getDescripcion());
		this.rol.setTipo(r.getTipo());
		rolService.guardarRol();
		return "redirect:/roles";
	}
	
	@RequestMapping("/prepareToEditRol/{id}")
	public String prepareToEditRol(@PathVariable Long rolId, Model model) {
		System.out.println("Trae o no el ID"+rolId);
		//rol.setId(rolId);
		//rol = rolService.obtenerRol().get();
		//modelMap.addAttribute("rol",rol);
		return "roles";
	}
	
	
	
}
