package ar.edu.unju.fi.entity;

import java.io.Serializable;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name = "editoriales")
public class Editorial implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "edi_id")
	private Long id;
	@Column(name = "edi_nombre")
	private String nombreEditorial;
	@OneToMany(cascade = CascadeType.ALL, 
			   fetch = FetchType.EAGER)
	private List<Libro> librosEditados;
	
	public Editorial() {
		// TODO Auto-generated constructor stub
	}


	/**
	 * @param nombreEditorial
	 * @param librosEditados
	 */
	public Editorial(String nombreEditorial, List<Libro> librosEditados) {
		this.nombreEditorial = nombreEditorial;
		this.librosEditados = librosEditados;
	}



	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the nombreEditorial
	 */
	public String getNombreEditorial() {
		return nombreEditorial;
	}

	/**
	 * @param nombreEditorial the nombreEditorial to set
	 */
	public void setNombreEditorial(String nombreEditorial) {
		this.nombreEditorial = nombreEditorial;
	}

	/**
	 * @return the librosEditados
	 */
	public List<Libro> getLibrosEditados() {
		return librosEditados;
	}

	/**
	 * @param librosEditados the librosEditados to set
	 */
	public void setLibrosEditados(List<Libro> librosEditados) {
		this.librosEditados = librosEditados;
	}

	
	

}
