package ar.edu.unju.fi.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import org.springframework.stereotype.Component;

/**
 * Entidad para realizar el ORM en la tabla roles
 * @author Ariel
 */
@Entity
@Component
@Table(name = "roles")
public class Rol implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * se asocia a la clave primaria de un registro
	 * en la tabla roles
	 */
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "rol_id")
	private Long id;
	/**
	 * Representa un tipo específico de rol
	 */
	@Column(name = "rol_tipo", length = 20, nullable = true)
	private String tipo;
	/**
	 * Representa una descripción del rol especificado
	 */
	@Column(name = "rol_descripcion",length = 220, nullable = true)
	private String descripcion;
	
	//--------CONSTRUCTORES------------
	
	
	/**
	 * Constructor pode defecto
	 */
	public Rol() {
		// TODO Auto-generated constructor stub
	}

	/**
	 * Constructor parametrizado
	 * @param tipo valor para el atributo tipo
	 * @param descripcion valor para el atributo descripción
	 */
	public Rol(String tipo, String descripcion) {
		this.tipo = tipo;
		this.descripcion = descripcion;
	}

	//-------METODOS---------------
	
	@Override
	public String toString() {
		return "Rol [id=" + id + ", tipo=" + tipo + ", descripcion=" + descripcion + "]";
	}
	
	//-------- METODOS ACCESORES---------
	
	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	

	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the tipo
	 */
	public String getTipo() {
		return tipo;
	}

	/**
	 * @param tipo the tipo to set
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * @return the descripcion
	 */
	public String getDescripcion() {
		return descripcion;
	}

	/**
	 * @param descripcion the descripcion to set
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	
	
}
